
### Get Node on debian
#### install NVM and node lts. I guess this is not needed
```shell
sudo apt-get install curl gnupg2 -y
curl https://raw.githubusercontent.com/creationix/nvm/master/install.sh | bash
source ~/.bashrc

nvm install --lts
```

### Get the frontend running on debian in Kiosk mode
#### Start wit a headless installation of debian stable.
#### Build the electron app and copy it to the target system.
Use the scripts in package.json to build. Build the App with:
```shell
npm run build-electron:linux
```
this creates a new Folder `Kiosk-linux-amd64`. Copy this folder to `/home/kiosk` on the target system.<br>
Then install needed packages, Xserver, a session manager and a simple window manager.
```shell
sudo apt install -y xorg openbox lightdm
```
Set up lightdm to auto login a user. Append to the file /etc/lightdm/lightdm.conf:
```shell
[SeatDefaults]
autologin-user=user
xserver-command=X -bs -core -nocursor
```
This logs in the user 'user' automatically on boot and starts the Xserver without hidden cursor.

Set up the autostart for Kiosk Application. Append to the file /etc/xdg/openbox/autostart
```shell
xset -dpms
xset s off
/home/user/Kiosk-linux-x64/Kiosk
```
Make sure the filepath is correct. Now just reboot and the Kiosk app should start at boot.
